<?php
# /modules/repetito/controllers/admin/AdminRepetito.php

/**
 * Repetito - A Prestashop Module
 * 
 * Vykročte s námi k zodpovědnosti
 * 
 * @author Daniel Bernátek <daniel@bernatek.it>
 * @version 0.0.1
 */

if (!defined('_PS_VERSION_')) exit;

// You can now access this controller from /your_admin_directory/index.php?controller=AdminRepetito
class AdminRepetitoController extends ModuleAdminController
{
	public function __construct()
	{
		parent::__construct();
		$this->bootstrap = true;
	}

	public function renderList()
	{
		$settings = RepetitoModel::getSettings();

        $this->context->smarty->assign(array(
            'taxOptions' => RepetitoModel::getTaxOptions(),
			'countryOptions' => RepetitoModel::getCountryOptions(),
			'showImageInCart' => $settings[0]["showImageInCart"],
			'status' => $settings[0]["status"],
			'softS' => $settings[0]["softS"],
			'softM' => $settings[0]["softM"],
			'softL' => $settings[0]["softL"],
			'boxS' => $settings[0]["boxS"],
			'boxM' => $settings[0]["boxM"],
			'fee' => $settings[0]["fee"],
			'maxWeight' => $settings[0]["maxWeight"],
			'adminControllerLink' => Context::getContext()->link->getAdminLink('AdminRepetito')
        ));

        return $this->context->smarty->fetch(_PS_MODULE_DIR_ . 'repetito/views/templates/admin/settings.tpl');

	}

	public function postProcess()
    {
        
		if (Tools::isSubmit('saveSettings')) {
			$result = RepetitoModel::saveSettings($_POST);

			if ($result[0] == false) {
				throw new Exception($result[1]);
			}
        } else if (Tools::isSubmit('saveFees')) {
			$result = RepetitoModel::saveFees($_POST);

			if ($result[0] == false) {
				throw new Exception($result[1]);
			}
        }

		// if (!empty($_POST["ajax"])) {
		// 	if ($_POST["action"] == "deleteMaterial") {
		// 		RepetitoModel::deleteMaterial($_POST);
		// 	} else if ($_POST["action"] == "updateMaterial") {
		// 		RepetitoModel::updateMaterial($_POST);
		// 	} else if ($_POST["action"] == "setRepetito") {
		// 		RepetitoModel::setRepetito($_POST);
		// 	} else if ($_POST["action"] == "setMaterials") {
		// 		RepetitoModel::setMaterials($_POST);
		// 	}
		// }
    }
}

